Skip to content
WorkRoad home
REST API

Get the profile

GET
/settings/profile

The user's name, username, bio and what their public profile shows.

Required scopes: settings:view

Authorization

headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
data*
Example Request
curl -X GET 'https://workroad.app/api/v1/settings/profile' \  -H 'Authorization: Bearer $WORKROAD_API_KEY'
Example Response
{  "data": {    "name": "Ada Lovelace",    "username": "ada",    "description": "Maths and computing, mostly.",    "status": "Revising for finals",    "location": "London",    "showLastLogin": true,    "showCreated": true,    "showTimezone": false,    "showMembership": true  }}